# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pruner"
version = "0.78.0"
authors = ["Kevin Cox <kevincox@kevincox.ca>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A command-line utility and library to prune backups on a schedule."
homepage = "https://gitlab.com/kevincox/pruner"
readme = false
license = "Apache-2.0"
repository = "https://gitlab.com/kevincox/pruner"

[lib]
name = "pruner"
path = "src/lib.rs"

[[bin]]
name = "pruner"
path = "src/bin/pruner.rs"

[dependencies.chrono]
version = "0.4.24"

[dependencies.iso8601]
version = "0.6.1"

[dependencies.structopt]
version = "0.3.26"

[dev-dependencies.proptest]
version = "1.1.0"

[profile.release]
lto = true
codegen-units = 1
debug = 2
panic = "abort"
